Уважаемые гости и пользователи форума!
Если Вы были зарегистрированы на старом форуме, а здесь не можете зайти под своей учётной записью, пожалуйста, сообщите свой ник мне через контактную форму "Связаться с администрацией"

Не работает Webmin

Со всеми вопросами и предложениями по проекту serverdoma.ru оставляем здесь. Так же сюда попадают форумы обсуждения тем, категории для которых еще не определены.

Модераторы: rewuxiin, kulia

Правила форума
Условием использования нашего форума, является соблюдение настоящих Правил форума.

Ваш вопрос может быть удален без объяснения причин, если на него есть ответы по приведённым ссылкам, а вы рискуете получить предупреждение.
interes
Сообщения: 6
Зарегистрирован: 18 май 2013, 14:29

Не работает Webmin

18 май 2013, 14:51

Здравствуйте, не могу никак установить webmin. До этого у меня стоял простой мини Web-Server - Debian Squeeze 6.0.6 i386 на нём стоял и работал Webmin. Решил переустановить на другую версию мини Web-Server - Debian Squeeze 6.0.6 amd64, т webmin никак не хочет работать,остальное всё работает,уже два раза переустанавливал i386+amd64,результат выдаёт ошибку.Для просмотра ссылок Вы должны быть авторизованы на форуме.
Никак не могу установить недостающие пакеты.


Пакеты, имеющие неудовлетворённые зависимости:
webmin : Зависит: libauthen-pam-perl но он не может быть установлен
Зависит: libio-pty-perl но он не может быть установлен
Зависит: apt-show-versions но он не может быть установлен
E: Сломанные пакеты

Пытался установить пакеты:

sudo apt-get install libauthen-pam-perl

sudo apt-get install libio-pty-perl

sudo apt-get install apt-show-versions

Что это за пакеты,пытаюсь их установить а выдаёт- не найден кандидат на установку,почему?



Устанавливал так и по разным методам:

apt-get update


aptitude install perl libnet-ssleay-perl openssl libauthen-pam-perl libpam-runtime libio-pty-perl apt-show-versions libmd5-perl

Добавляем репозиторий Webmin, редактируем файл /etc/apt/sources.list

nano /etc/apt/sources.list

В самом конце добавляем строку:

deb Для просмотра ссылок Вы должны быть авторизованы на форуме. sarge contrib

Устанавливаем GPG ключ:

cd /tmp

wget Для просмотра ссылок Вы должны быть авторизованы на форуме.

apt-key add jcameron-key.asc

Устанавливаем Webmin для этого вводим команду:

aptitude update

aptitude install webmin

Открываем
Для просмотра ссылок Вы должны быть авторизованы на форуме.

И так:

wget Для просмотра ссылок Вы должны быть авторизованы на форуме.

потом

dpkg --install webmin_1.630_all.deb

apt-get install perl libnet-ssleay-perl openssl libauthen-pam-perl libpam-runtime libio-pty-perl apt-show-versions python

пишет что пакеты поломаны.

Открываем
Для просмотра ссылок Вы должны быть авторизованы на форуме.

Как исправить эти зависимости пакетов, почему не позволяют настроить пакет webmin?

И еще разными методами,результат не работает,почему? *WALL*
Аватара пользователя
SinglWolf
Контактная информация:
Откуда: Башкирия
Сообщения: 1647
Зарегистрирован: 23 янв 2012, 22:11

Re: Не работает Webmin

18 май 2013, 19:32

apt-get dist-upgrade -f
dpkg --configure -a
Система свежеустановленая?
interes
Сообщения: 6
Зарегистрирован: 18 май 2013, 14:29

Re: Не работает Webmin

18 май 2013, 20:05

Система свежая,всё работает кроме Webmina.

root@test:~# apt-get dist-upgrade -f

Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Исправление зависимостей... Готово
Расчёт обновлений... Готово
Пакеты, которые будут УДАЛЕНЫ:
webmin
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 1 пакетов, и 0 пакетов не обновлено.
не установлено до конца или удалено 1 пакетов.
После данной операции, объём занятого дискового пространства уменьшится на 134 MB.
Хотите продолжить [Д/н]? Д
(Чтение базы данных ... на данный момент установлено 68175 файлов и каталогов.)
Удаляется пакет webmin ...
root@test:~#

dpkg --configure -a

wget Для просмотра ссылок Вы должны быть авторизованы на форуме.

root@test:~# dpkg --install webmin_1.630_all.deb

Выбор ранее не выбранного пакета webmin.
(Чтение базы данных ... на данный момент установлено 44528 файлов и каталогов.)
Распаковывается пакет webmin (из файла webmin_1.630_all.deb)...
dpkg: зависимости пакетов не позволяют настроить пакет webmin:
webmin зависит от libauthen-pam-perl, однако:
Пакет libauthen-pam-perl не установлен.
webmin зависит от libio-pty-perl, однако:
Пакет libio-pty-perl не установлен.
webmin зависит от apt-show-versions, однако:
Пакет apt-show-versions не установлен.
dpkg: не удалось обработать параметр webmin (--install):
проблемы зависимостей -- оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
webmin
Аватара пользователя
SinglWolf
Контактная информация:
Откуда: Башкирия
Сообщения: 1647
Зарегистрирован: 23 янв 2012, 22:11

Re: Не работает Webmin

18 май 2013, 20:39

apt-get dist-upgrade -f
dpkg --configure -a
aptitude install perl libnet-ssleay-perl openssl libauthen-pam-perl libpam-runtime libio-pty-perl apt-show-versions python
(если не закачано) wget Для просмотра ссылок Вы должны быть авторизованы на форуме.
dpkg --install webmin_1.630_all.deb
interes
Сообщения: 6
Зарегистрирован: 18 май 2013, 14:29

Re: Не работает Webmin

18 май 2013, 20:57

В том-то и дело, делаю всё как в описаниях и инструкциях, но не работает и не запускается Webmin.
root@test:~# apt-get dist-upgrade -f
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Исправление зависимостей... Готово
Расчёт обновлений... Готово
Пакеты, которые будут УДАЛЕНЫ:
webmin
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 1 пакетов, и 0 п акетов не обновлено.
не установлено до конца или удалено 1 пакетов.
После данной операции, объём занятого дискового пространства уменьшится на 134 M B.
Хотите продолжить [Д/н]? Д/
(Чтение базы данных ... на данный момент установлено 68175 файлов и каталогов.)
Удаляется пакет webmin ...
root@test:~# dpkg --configure -a
root@test:~# aptitude install perl libnet-ssleay-perl openssl libauthen-pam-perl libpam-runtime libio-pty-perl apt-show-versions python
Нет подходящей версии для libauthen-pam-perl
Нет подходящей версии для libio-pty-perl
Нет подходящей версии для apt-show-versions
Нет подходящей версии для libauthen-pam-perl
Нет подходящей версии для libio-pty-perl
Нет подходящей версии для apt-show-versions
Ни одного пакета не будет установлено, обновлено или удалено.
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 0 B архивов. После распаковки 0 B будет занято.

root@test:~# dpkg --install webmin_1.630_all.deb
Выбор ранее не выбранного пакета webmin.
(Чтение базы данных ... на данный момент установлено 44528 файлов и каталогов.)
Распаковывается пакет webmin (из файла webmin_1.630_all.deb)...
dpkg: зависимости пакетов не позволяют настроить пакет webmin:
webmin зависит от libauthen-pam-perl, однако:
Пакет libauthen-pam-perl не установлен.
webmin зависит от libio-pty-perl, однако:
Пакет libio-pty-perl не установлен.
webmin зависит от apt-show-versions, однако:
Пакет apt-show-versions не установлен.
dpkg: не удалось обработать параметр webmin (--install):
проблемы зависимостей -- оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
webmin
root@test:~#
Аватара пользователя
SinglWolf
Контактная информация:
Откуда: Башкирия
Сообщения: 1647
Зарегистрирован: 23 янв 2012, 22:11

Re: Не работает Webmin

18 май 2013, 21:13

Вывод файла сюда /etc/apt/sources.list
Аватара пользователя
SinglWolf
Контактная информация:
Откуда: Башкирия
Сообщения: 1647
Зарегистрирован: 23 янв 2012, 22:11

Re: Не работает Webmin

18 май 2013, 21:28

%) %) Так в этом весь и затык!
Добавьте в начало файла:

Код: Выделить всё

deb http://archive.debian.org/debian oldstable main contrib non-free
deb-src http://archive.debian.org/debian oldstable main contrib non-free

deb http://ftp.debian.org/debian/ squeeze-updates main contrib non-free
deb-src http://ftp.debian.org/debian/ squeeze-updates main contrib non-free

deb http://security.debian.org/ squeeze/updates main contrib non-free
deb-src http://security.debian.org/ squeeze/updates main contrib non-free
Потом

Код: Выделить всё

apt-get update
apt-get dist-upgrade -f
dpkg --configure -a
aptitude install perl libnet-ssleay-perl openssl libauthen-pam-perl libpam-runtime libio-pty-perl apt-show-versions python
(если не закачано) wget http://prdownloads.sourceforge.net/weba ... 30_all.deb
dpkg --install webmin_1.630_all.deb
Удачи! *DRINK*
interes
Сообщения: 6
Зарегистрирован: 18 май 2013, 14:29

Re: Не работает Webmin

18 май 2013, 23:33

Спасибо большое,заработало!
master23
Сообщения: 2
Зарегистрирован: 03 сен 2020, 23:41

Re: Не работает Webmin

03 сен 2020, 23:50

apt-get dist-upgrade -f
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Расчёт обновлений… Готово
Обновлено 0 пакетов, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Установлено или удалено не до конца 2 пакетов.
После данной операции объём занятого дискового пространства возрастёт на 0 B.
Хотите продолжить? [Д/н]
Настраивается пакет apt-show-versions (0.22.11) …
** initializing cache. This may take a while **
Error: No information about packages! (Maybe no deb entries?)
dpkg: ошибка при обработке пакета apt-show-versions (--configure):
installed apt-show-versions package post-installation script subprocess returned error exit status 255
dpkg: зависимости пакетов не позволяют настроить пакет webmin:
webmin зависит от apt-show-versions, однако:
Пакет apt-show-versions пока не настроен.

dpkg: ошибка при обработке пакета webmin (--configure):
проблемы зависимостей — оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
apt-show-versions
webmin
E: Sub-process /usr/bin/dpkg returned an error code (1)
master23
Сообщения: 2
Зарегистрирован: 03 сен 2020, 23:41

Re: Не работает Webmin

05 сен 2020, 01:01

не помогло(что за репозиторий выше?сейчас последняя версия 955...на малине вебмин без проблем, а вот на апельсинке даже переустановленной отказывается устанавливать((
Аватара пользователя
SinglWolf
Контактная информация:
Откуда: Башкирия
Сообщения: 1647
Зарегистрирован: 23 янв 2012, 22:11

Re: Не работает Webmin

06 сен 2020, 08:55

master23 писал(а):
05 сен 2020, 01:01
не помогло(что за репозиторий выше?сейчас последняя версия 955...на малине вебмин без проблем, а вот на апельсинке даже переустановленной отказывается устанавливать((
Вы сейчас с кем разговариваете?
Малина - ягода. Апельсин - фрукт (цитрусовые).
Здесь не форум садоводов... :-D
А если серьёзно, то ...
Ваши ягоды-фрукты я видел только на картинках и имею о них лишь поверхностное представление.
Микро-комп, на который можно установить Linux. Это всё. :-[
Увы, обращайтесь на профильные ресурсы. *PARDON*

Вернуться в «Общие вопросы»